import request from '@/utils/request'

// 查询行政监督列表
export function listSupervision(query) {
  return request({
    url: '/crmAdministrativeSupervision/findByPage',
    method: 'get',
    params: query
  })
}

// 查询行政监督详细
export function getSupervision(id) {
  return request({
    url: '/basicData/supervision/' + id,
    method: 'get'
  })
}

// 新增行政监督
export function addSupervision(data) {
  return request({
    url: '/basicData/supervision',
    method: 'post',
    data: data
  })
}

// 修改行政监督
export function updateSupervision(data) {
  return request({
    url: '/basicData/supervision',
    method: 'put',
    data: data
  })
}

// 删除行政监督
export function delSupervision(id) {
  return request({
    url: '/crmAdministrativeSupervision/deleteAll',
    method: 'delete'
  })
}

// 批量删除行政许可
export function delSupervisionBatch(ids) {
  console.log(ids);
  return request.post('/crmAdministrativeSupervision/delete',ids)
}
